Deposits
Deposits are bank transfers made into your Airwallex Global Accounts for adding funds or collecting funds from third parties.
GET /api/v1/depositsGET /api/v1/deposits/{id}POST /api/v1/deposits/create
Get a list of deposits
GET /api/v1/deposits
Returns a list of deposits made into your Airwallex wallet. You can filter the list by specifying a time period. If left unspecified or only the end date is specified, then deposits 30 days in arrears of today or the end date will be returned.
The start date of created_at in ISO8601 format (inclusive)
Page number, starts from 0.
Number of results per page. Default value is 100.
The end date of created_at in ISO8601 format (inclusive)
A flag which identifies whether there are more results.
Paged results.
The currency (3-letter ISO-4217 code) of this deposit
The amount of this deposit
The date time in ISO8601 format when this deposit was created
A unique identifier of this deposit
Estimated settlement time of this deposit. With ISO8601 format
Empty unless the deposit is in a failure status (REJECTED, REVERSED).
Error code (details can be found here ).
A set of original information received from the local clearing system.
The original error code received from the local clearing system.
The local clearing system used for the direct debit deposit. Possible values are AU_BECS, US_ACH, GB_BACS, EU_SEPA.
The original error message received from the local clearing system.
Payer name of this deposit
Actual settlement time of this deposit. With ISO8601 format
Details about the source of your funds
The Funding Source unique identifier of this direct debit deposit. This is the same as your Linked Account unique identifier
The global account unique identifier of this bank transfer deposit. Nullable for deposits via DBS_HK GA
The type of the deposit source
AU_BECS_DEBIT, US_ACH_DEBIT, GB_BACS_DEBIT, EU_SEPA_DEBIT, CA_EFT_DEBIT, HK_FPS_DEBIT, SG_EGIRO_DEBIT, GA, SA
A reference number assigned by the processing bank to identify and track a deposit transaction. It is not a unique identifier or a reference provided by the payer.
Status of this deposit
PENDING, SETTLED, REJECTED, REVERSED
Type of the source of your funds
BANK_TRANSFER, DIRECT_DEBIT
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/deposits' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "has_more": false,3 "items": [4 {5 "amount": 12794.27,6 "created_at": "2017-03-20T14:00:01+1100",7 "currency": "USD",8 "deposit_id": "67f687fe-dcf4-4462-92fa-20335301d9d8",9 "estimated_settlement_time": "2017-03-22T14:00:00+0000",10 "failure_details": {11 "code": "insufficient_funds",12 "iso_code": "AM04",13 "provider_failure_details": {14 "code": "R01",15 "local_clearing_system": "US_ACH",16 "message": "INSUFFICIENT FUNDS"17 }18 },19 "payer_name": "tester",20 "settled_at": "2017-03-22T14:00:00+0000",21 "source": {22 "funding_source_id": "67f687fe-dcf4-4462-92fa-20335321d9d8",23 "global_account_id": "fcfc369c-ce9d-4ab7-b9af-80df61848f8f",24 "type": "AU_BECS_DEBIT"25 },26 "statement_ref": "5487287788",27 "status": "SETTLED",28 "type": "BANK_TRANSFER"29 }30 ]31}
Get a deposit by ID
GET /api/v1/deposits/{id}
Retrieves details of a deposit using the given deposit unique identifier.
The unique identifier of the Deposit to retrieve
The amount of this deposit
The date time in ISO8601 format when this deposit was created
The currency (3-letter ISO-4217 code) of this deposit
A unique identifier of this deposit
Estimated settlement time of this deposit. With ISO8601 format
Empty unless the deposit is in a failure status (REJECTED, REVERSED).
Error code (details can be found here ).
A set of original information received from the local clearing system.
The original error code received from the local clearing system.
The local clearing system used for the direct debit deposit. Possible values are AU_BECS, US_ACH, GB_BACS, EU_SEPA.
The original error message received from the local clearing system.
Payer name of this deposit
Actual settlement time of this deposit. With ISO8601 format
Details about the source of your funds
The Funding Source unique identifier of this direct debit deposit. This is the same as your Linked Account unique identifier
The global account unique identifier of this bank transfer deposit. Nullable for deposits via DBS_HK GA
The type of the deposit source
AU_BECS_DEBIT, US_ACH_DEBIT, GB_BACS_DEBIT, EU_SEPA_DEBIT, CA_EFT_DEBIT, HK_FPS_DEBIT, SG_EGIRO_DEBIT, GA, SA
A reference number assigned by the processing bank to identify and track a deposit transaction. It is not a unique identifier or a reference provided by the payer.
Status of this deposit
PENDING, SETTLED, REJECTED, REVERSED
Type of the source of your funds
BANK_TRANSFER, DIRECT_DEBIT
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/deposits/deposit_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "amount": 12794.27,3 "created_at": "2017-03-20T14:00:01+1100",4 "currency": "USD",5 "deposit_id": "67f687fe-dcf4-4462-92fa-20335301d9d8",6 "estimated_settlement_time": "2017-03-22T14:00:00+0000",7 "failure_details": {8 "code": "insufficient_funds",9 "iso_code": "AM04",10 "provider_failure_details": {11 "code": "R01",12 "local_clearing_system": "US_ACH",13 "message": "INSUFFICIENT FUNDS"14 }15 },16 "payer_name": "tester",17 "settled_at": "2017-03-22T14:00:00+0000",18 "source": {19 "funding_source_id": "67f687fe-dcf4-4462-92fa-20335321d9d8",20 "global_account_id": "fcfc369c-ce9d-4ab7-b9af-80df61848f8f",21 "type": "AU_BECS_DEBIT"22 },23 "statement_ref": "5487287788",24 "status": "SETTLED",25 "type": "BANK_TRANSFER"26}
Create a deposit via direct debit
POST /api/v1/deposits/create
Deposits funds into your Airwallex account via Direct Debit from a Linked Account.
The amount of this deposit
The currency (3-letter ISO-4217 code) of this deposit
The unique identifier of your Linked Account or Funding Source
Unique request identifier specified in the request. Should be valid UUID
The type of deposit you would like to create, either DIRECT_DEBIT or FASTER_DIRECT_DEBIT. If not specified, it will default to DIRECT_DEBIT.
A user specified reference that will be displayed to the bank account owner on the bank statement. 1-10 characters long for USD, 1-18 characters long for AUD
The amount of this deposit
The date time in ISO8601 format when this deposit was created
The currency (3-letter ISO-4217 code) of this deposit
A unique identifier of this deposit
Estimated settlement time of this deposit. With ISO8601 format
Empty unless the deposit is in a failure status (REJECTED, REVERSED).
Error code (details can be found here ).
A set of original information received from the local clearing system.
The original error code received from the local clearing system.
The local clearing system used for the direct debit deposit. Possible values are AU_BECS, US_ACH, GB_BACS, EU_SEPA.
The original error message received from the local clearing system.
Payer name of this deposit
Actual settlement time of this deposit. With ISO8601 format
Details about the source of your funds
The Funding Source unique identifier of this direct debit deposit. This is the same as your Linked Account unique identifier
The global account unique identifier of this bank transfer deposit. Nullable for deposits via DBS_HK GA
The type of the deposit source
AU_BECS_DEBIT, US_ACH_DEBIT, GB_BACS_DEBIT, EU_SEPA_DEBIT, CA_EFT_DEBIT, HK_FPS_DEBIT, SG_EGIRO_DEBIT, GA, SA
A reference number assigned by the processing bank to identify and track a deposit transaction. It is not a unique identifier or a reference provided by the payer.
Status of this deposit
PENDING, SETTLED, REJECTED, REVERSED
Type of the source of your funds
BANK_TRANSFER, DIRECT_DEBIT
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/deposits/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "amount": 12794.27,> "currency": "USD",> "deposit_type": "DIRECT_DEBIT",> "funding_source_id": "67f687fe-dcf4-4462-92fa-20335321d9d8",> "reference": "test ref",> "request_id": "c559d7fe-d911-4f3d-a937-7c24ba4b732a">}'
1{2 "amount": 12794.27,3 "created_at": "2017-03-20T14:00:01+1100",4 "currency": "USD",5 "deposit_id": "67f687fe-dcf4-4462-92fa-20335301d9d8",6 "estimated_settlement_time": "2017-03-22T14:00:00+0000",7 "failure_details": {8 "code": "insufficient_funds",9 "iso_code": "AM04",10 "provider_failure_details": {11 "code": "R01",12 "local_clearing_system": "US_ACH",13 "message": "INSUFFICIENT FUNDS"14 }15 },16 "payer_name": "tester",17 "settled_at": "2017-03-22T14:00:00+0000",18 "source": {19 "funding_source_id": "67f687fe-dcf4-4462-92fa-20335321d9d8",20 "global_account_id": "fcfc369c-ce9d-4ab7-b9af-80df61848f8f",21 "type": "AU_BECS_DEBIT"22 },23 "statement_ref": "5487287788",24 "status": "SETTLED",25 "type": "BANK_TRANSFER"26}